Featureset Versions - List
List versions.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{name}/versions?api-version=2025-09-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/featuresets/{name}/versions?api-version=2025-09-01&$skip={$skip}&tags={tags}&listViewType={listViewType}&pageSize={pageSize}&versionName={versionName}&version={version}&description={description}&createdBy={createdBy}&stage={stage}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Featureset name. This is case-sensitive. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
workspace
|
path | True |
string pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$ |
Name of Azure Machine Learning workspace. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
$skip
|
query |
string |
Continuation token for pagination. |
|
|
created
|
query |
string |
createdBy user name |
|
|
description
|
query |
string |
description for the feature set version |
|
|
list
|
query |
[ListViewType.ActiveOnly, ListViewType.ArchivedOnly, ListViewType.All]View type for including/excluding (for example) archived entities. |
||
|
page
|
query |
integer (int32) |
page size |
|
|
stage
|
query |
string |
Specifies the featurestore stage |
|
|
tags
|
query |
string |
Comma-separated list of tag names (and optionally values). Example: tag1,tag2=value2 |
|
|
version
|
query |
string |
featureset version |
|
|
version
|
query |
string |
name for the featureset version |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| Other Status Codes |
Error |
Examples
List Workspace Featureset Version.
Sample request
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/featuresets/string/versions?api-version=2025-09-01&tags=string&listViewType=All
Sample response
{
"value": [
{
"id": "string",
"name": "string",
"type": "string",
"properties": {
"description": "string",
"tags": {
"string": "string"
},
"properties": {
"string": "string"
},
"isArchived": false,
"isAnonymous": false,
"specification": {
"path": "string"
},
"materializationSettings": {
"storeType": "Offline",
"schedule": {
"endTime": "string",
"startTime": "string",
"timeZone": "string",
"triggerType": "Recurrence",
"frequency": "Month",
"interval": 1,
"schedule": {
"hours": [
1
],
"minutes": [
1
],
"weekDays": [
"Saturday"
],
"monthDays": [
1
]
}
},
"notification": {
"emails": [
"string"
],
"emailOn": [
"JobCompleted"
]
},
"resource": {
"instanceType": "string"
},
"sparkConfiguration": {
"string": "string"
}
},
"stage": "string",
"entities": [
"string"
],
"provisioningState": "Canceled"
},
"systemData": {
"createdAt": "2020-01-01T12:34:56.999+00:49",
"createdBy": "string",
"createdByType": "User",
"lastModifiedAt": "2020-01-01T12:34:56.999+00:49",
"lastModifiedBy": "string",
"lastModifiedByType": "Key"
}
}
],
"nextLink": "string"
}
Definitions
| Name | Description |
|---|---|
|
Asset |
Provisioning state of registry asset. |
|
Azure |
Webhook details specific for Azure DevOps |
|
created |
The type of identity that created the resource. |
|
Email |
Enum to determine the email notification type. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Featureset |
DTO object representing specification |
|
Featureset |
DTO object representing feature set version |
|
Featureset |
Azure Resource Manager resource envelope. |
|
Featureset |
A paginated list of FeaturesetVersion entities. |
|
List |
|
|
Materialization |
DTO object representing compute resource |
|
Materialization |
|
|
Materialization |
|
|
Notification |
Configuration for notification. |
|
Recurrence |
Enum to describe the frequency of a recurrence schedule |
|
Recurrence |
|
|
Recurrence |
|
|
system |
Metadata pertaining to creation and last modification of the resource. |
|
Trigger |
|
|
Webhook |
Enum to determine the webhook callback service type. |
|
Week |
Enum of weekday |
AssetProvisioningState
Provisioning state of registry asset.
| Value | Description |
|---|---|
| Succeeded | |
| Failed | |
| Canceled | |
| Creating | |
| Updating | |
| Deleting |
AzureDevOpsWebhook
Webhook details specific for Azure DevOps
| Name | Type | Description |
|---|---|---|
| eventType |
string |
Send callback on a specified notification event |
| webhookType |
string:
Azure |
[Required] Specifies the type of service to send a callback |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
EmailNotificationEnableType
Enum to determine the email notification type.
| Value | Description |
|---|---|
| JobCompleted | |
| JobFailed | |
| JobCancelled |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
FeaturesetSpecification
DTO object representing specification
| Name | Type | Description |
|---|---|---|
| path |
string |
Specifies the spec path |
FeaturesetVersion
DTO object representing feature set version
| Name | Type | Default value | Description |
|---|---|---|---|
| description |
string |
The asset description text. |
|
| entities |
string[] |
Specifies list of entities |
|
| isAnonymous |
boolean |
False |
If the name version are system generated (anonymous registration). |
| isArchived |
boolean |
False |
Is the asset archived? |
| materializationSettings |
Specifies the materialization settings |
||
| properties |
object |
The asset property dictionary. |
|
| provisioningState |
Provisioning state for the featureset version container. |
||
| specification |
Specifies the feature spec details |
||
| stage |
string |
Specifies the asset stage |
|
| tags |
object |
Tag dictionary. Tags can be added, removed, and updated. |
FeaturesetVersionResource
Azure Resource Manager resource envelope.
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
The name of the resource |
| properties |
[Required] Additional attributes of the entity. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
FeaturesetVersionResourceArmPaginatedResult
A paginated list of FeaturesetVersion entities.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The link to the next page of FeaturesetVersion objects. If null, there are no additional pages. |
| value |
An array of objects of type FeaturesetVersion. |
ListViewType
| Value | Description |
|---|---|
| ActiveOnly | |
| ArchivedOnly | |
| All |
MaterializationComputeResource
DTO object representing compute resource
| Name | Type | Description |
|---|---|---|
| instanceType |
string |
Specifies the instance type |
MaterializationSettings
| Name | Type | Default value | Description |
|---|---|---|---|
| notification |
Specifies the notification details |
||
| resource |
Specifies the compute resource settings |
||
| schedule |
Specifies the schedule details |
||
| sparkConfiguration |
object |
Specifies the spark compute settings |
|
| storeType | None |
Specifies the stores to which materialization should happen |
MaterializationStoreType
| Value | Description |
|---|---|
| None | |
| Online | |
| Offline | |
| OnlineAndOffline |
NotificationSetting
Configuration for notification.
| Name | Type | Description |
|---|---|---|
| emailOn |
Send email notification to user on specified notification type |
|
| emails |
string[] |
This is the email recipient list which has a limitation of 499 characters in total concat with comma separator |
| webhooks |
object |
Send webhook callback to a service. Key is a user-provided name for the webhook. |
RecurrenceFrequency
Enum to describe the frequency of a recurrence schedule
| Value | Description |
|---|---|
| Minute |
Minute frequency |
| Hour |
Hour frequency |
| Day |
Day frequency |
| Week |
Week frequency |
| Month |
Month frequency |
RecurrenceSchedule
| Name | Type | Description |
|---|---|---|
| hours |
integer[] (int32) |
[Required] List of hours for the schedule. |
| minutes |
integer[] (int32) |
[Required] List of minutes for the schedule. |
| monthDays |
integer[] (int32) |
List of month days for the schedule |
| weekDays |
Week |
List of days for the schedule. |
RecurrenceTrigger
| Name | Type | Default value | Description |
|---|---|---|---|
| endTime |
string |
Specifies end time of schedule in ISO 8601, but without a UTC offset. Refer https://en.wikipedia.org/wiki/ISO_8601. Recommented format would be "2022-06-01T00:00:01" If not present, the schedule will run indefinitely |
|
| frequency |
[Required] The frequency to trigger schedule. |
||
| interval |
integer (int32) |
[Required] Specifies schedule interval in conjunction with frequency |
|
| schedule |
The recurrence schedule. |
||
| startTime |
string |
Specifies start time of schedule in ISO 8601 format, but without a UTC offset. |
|
| timeZone |
string |
UTC |
Specifies time zone in which the schedule runs. TimeZone should follow Windows time zone format. Refer: https://docs.microsoft.com/en-us/windows-hardware/manufacture/desktop/default-time-zones?view=windows-11 |
| triggerType |
string:
Recurrence |
[Required] |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |
TriggerType
| Value | Description |
|---|---|
| Recurrence | |
| Cron |
WebhookType
Enum to determine the webhook callback service type.
| Value | Description |
|---|---|
| AzureDevOps |
WeekDay
Enum of weekday
| Value | Description |
|---|---|
| Monday |
Monday weekday |
| Tuesday |
Tuesday weekday |
| Wednesday |
Wednesday weekday |
| Thursday |
Thursday weekday |
| Friday |
Friday weekday |
| Saturday |
Saturday weekday |
| Sunday |
Sunday weekday |